Skip to main content
PUT
/
phone-numbers
/
{phoneNumberId}
Update business phone number settings
curl --request PUT \
  --url https://api.leadping.ai/phone-numbers/{phoneNumberId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "number": "<string>",
  "businessId": "<string>",
  "enabled": true,
  "adminEnablementOverride": {
    "enabled": true,
    "reason": "<string>",
    "updatedByUserId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "id": "<string>"
}
'
{
  "number": "<string>",
  "business": {
    "id": "<string>",
    "name": "<string>"
  },
  "user": {
    "id": "<string>",
    "name": "<string>"
  },
  "teamId": "<string>",
  "campaignId": "<string>",
  "sourceId": "<string>",
  "leadpingOwned": true,
  "provider": "<string>",
  "providerPhoneNumberId": "<string>",
  "providerOrderId": "<string>",
  "providerOrderStatus": "<string>",
  "providerStatus": "<string>",
  "providerError": "<string>",
  "providerSyncedAt": "2023-11-07T05:31:56Z",
  "providerReleasedAt": "2023-11-07T05:31:56Z",
  "providerReleaseRequestedAt": "2023-11-07T05:31:56Z",
  "providerReleaseHoldStartsAt": "2023-11-07T05:31:56Z",
  "providerReleaseScheduledAt": "2023-11-07T05:31:56Z",
  "providerReleaseReason": "<string>",
  "providerReleaseRequestedByUserId": "<string>",
  "providerReleaseRequestedByName": "<string>",
  "providerReleaseUnassignAtHoldStart": true,
  "capabilities": {
    "sms": true,
    "voice": true,
    "warmup": true,
    "testing": true
  },
  "routing": {
    "smsEnabled": true,
    "voiceEnabled": true,
    "warmupOnly": true,
    "internalTestOnly": true,
    "teamId": "<string>",
    "sourceId": "<string>",
    "campaignId": "<string>",
    "messagingProfileId": "<string>",
    "voiceConnectionId": "<string>"
  },
  "tenDlc": {
    "brandId": "<string>",
    "campaignId": "<string>",
    "campaignStatus": "<string>",
    "assignmentStatus": "<string>",
    "messagingProfileId": "<string>",
    "statusUpdatedAt": "2023-11-07T05:31:56Z",
    "failureReason": "<string>",
    "lastProviderEventId": "<string>"
  },
  "billing": {
    "businessId": "<string>",
    "businessName": "<string>",
    "userId": "<string>",
    "userName": "<string>",
    "subscriptionItemId": "<string>",
    "monthlyAmount": "<string>",
    "channel": "<string>"
  },
  "isPreferred": true,
  "isDefault": true,
  "location": {
    "location": "<string>",
    "state": "<string>",
    "countryCode": "<string>",
    "coordinate": {
      "latitude": "<string>",
      "longitude": "<string>"
    },
    "timeZoneId": "<string>"
  },
  "enabled": true,
  "adminEnablementOverride": {
    "enabled": true,
    "reason": "<string>",
    "updatedByUserId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "isInternalPool": true,
  "isApprovedTestDestination": true,
  "isMessagingProgramApproved": true,
  "warmupEnabled": true,
  "warmupHealthScore": "<string>",
  "warmupProgressPercent": "<string>",
  "warmupNextActionAt": "2023-11-07T05:31:56Z",
  "warmupPauseReason": "<string>",
  "callWarmupEnabled": true,
  "callWarmupNextActionAt": "2023-11-07T05:31:56Z",
  "callWarmupPauseReason": "<string>",
  "callWarmupHealthReason": "<string>",
  "healthReason": "<string>",
  "events": [
    {
      "id": "<string>",
      "type": "<string>",
      "title": "<string>",
      "details": "<string>",
      "actorId": "<string>",
      "actorName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "name": "<string>",
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

phoneNumberId
string
required

The ID of the phone number to update.

Body

The updated phone number details.

Request payload for phone number.

name
string
required

The display name for the entity.

Maximum string length: 255
number
string

The number value for this phone number.

businessId
string | null

The business ID associated with this phone number.

enabled
boolean

Whether this phone number is enabled.

adminEnablementOverride
object
id
string | null

The unique identifier for the entity, when updating an existing entity.

Response

Returns the phone number response.

API response containing phone number data returned to callers.

number
string

The number value for this phone number.

business
object

The business value for this phone number.

user
object

The user value for this phone number.

teamId
string | null

The team ID associated with this phone number.

campaignId
string | null

The campaign ID associated with this phone number.

sourceId
string | null

The source ID associated with this phone number.

leadpingOwned
boolean

Whether this phone number is Leadping owned.

provider
string | null

The provider value for this phone number.

providerPhoneNumberId
string | null

The provider phone number ID associated with this phone number.

providerOrderId
string | null

The provider order ID associated with this phone number.

providerOrderStatus
string | null

The current provider order status for this phone number.

providerStatus
string | null

The current provider status for this phone number.

providerError
string | null

The provider error value for this phone number.

providerSyncedAt
string<date-time> | null

The date and time for the provider synced at value on this phone number.

providerReleasedAt
string<date-time> | null

The date and time for the provider released at value on this phone number.

providerReleaseRequestedAt
string<date-time> | null
providerReleaseHoldStartsAt
string<date-time> | null
providerReleaseScheduledAt
string<date-time> | null
providerReleaseReason
string | null
providerReleaseRequestedByUserId
string | null
providerReleaseRequestedByName
string | null
providerReleaseUnassignAtHoldStart
boolean
inventoryState
enum<string>

The current inventory state for this phone number.

Available options:
Available,
Assigned,
Pending verification,
Ready for SMS,
Ready for voice,
Restricted,
Suspended,
Failed,
Released,
Pending release,
Warmup-only,
Internal/test-only
capabilities
object

The capabilities value for this phone number.

routing
object

The routing value for this phone number.

tenDlc
object

The 10DLC value for this phone number.

billing
object

The billing value for this phone number.

isPreferred
boolean

Whether this phone number is preferred.

isDefault
boolean

Whether this phone number is default.

location
object

The location value for this phone number.

status
enum<string>

The current status for this phone number.

Available options:
Unregistered,
Provisioning,
FailedProvisioning,
Active,
Expired,
Suspended,
PendingRelease
enabled
boolean

Whether this phone number is enabled.

adminEnablementOverride
object
isInternalPool
boolean

Whether this phone number is internal pool.

isApprovedTestDestination
boolean

Whether this phone number is approved test destination.

isMessagingProgramApproved
boolean

Whether this phone number is messaging program approved.

warmupEnabled
boolean

Whether warmup is enabled for this phone number.

warmupState
enum<string> | null

Defines the supported SMS Warmup Health State values.

Available options:
Not Started,
Warming,
Healthy,
Needs Attention,
Paused,
Blocked,
Ready
healthStatus
enum<string> | null

Defines the supported SMS Warmup Health State values.

Available options:
Not Started,
Warming,
Healthy,
Needs Attention,
Paused,
Blocked,
Ready
warmupHealthScore
string<int32>

The warmup health score metric for this phone number.

Pattern: ^-?(?:0|[1-9]\d*)$
warmupProgressPercent
string<int32>

The warmup progress percent metric for this phone number.

Pattern: ^-?(?:0|[1-9]\d*)$
warmupNextActionAt
string<date-time> | null

The date and time for the warmup next action at value on this phone number.

warmupPauseReason
string | null

The human-readable warmup pause reason explaining this phone number.

callWarmupEnabled
boolean

Whether controlled internal voice call warmup is enabled for this phone number.

callWarmupState
enum<string> | null

Defines the supported health states for controlled internal voice call warmup.

Available options:
Not Started,
Not Eligible,
Warming,
Warmed,
Paused,
Needs Attention,
Blocked
callWarmupStage
enum<string> | null

Defines the supported voice call warmup stages for a Leadping-managed phone number.

Available options:
Stage 0,
Stage 1,
Stage 2,
Stage 3,
Stage 4
callWarmupNextActionAt
string<date-time> | null

The next voice call warmup action time for this phone number.

callWarmupPauseReason
string | null

The human-readable voice call warmup pause reason for this phone number.

callWarmupHealthReason
string | null

The human-readable voice call warmup health reason for this phone number.

healthReason
string | null

The human-readable health reason explaining this phone number.

events
object[]

The events included with this phone number.

name
string

The display name for the entity.

id
string

The unique identifier for the entity.

createdAt
string<date-time>

The date and time when the entity was created.

modifiedAt
string<date-time> | null

The date and time when the entity was last modified, if applicable.